## ESorterArray ESorterArray |

## Functions

gint | (*ECompareRowsFunc) ()
GHashTable * | (*ECreateCmpCacheFunc) ()
ESorterArray * | e_sorter_array_new ()
void | e_sorter_array_clean ()
void | e_sorter_array_set_count ()
void | e_sorter_array_append ()

## Object Hierarchy

        GObject
        ╰── ESorterArray

## Description

## Functions

### ECompareRowsFunc ()

    gint
    (*ECompareRowsFunc) (gint row1,
                         gint row2,
                         GHashTable *cmp_cache,
                         gpointer closure);

### ECreateCmpCacheFunc ()

    GHashTable *
    (*ECreateCmpCacheFunc) (gpointer closure);

### e_sorter_array_new ()

    ESorterArray *
    e_sorter_array_new (ECreateCmpCacheFunc create_cmp_cache,
                        ECompareRowsFunc compare,
                        gpointer closure);

### e_sorter_array_clean ()

    void
    e_sorter_array_clean (ESorterArray *sorter);

### e_sorter_array_set_count ()

    void
    e_sorter_array_set_count (ESorterArray *sorter,
                              gint count);

### e_sorter_array_append ()

    void
    e_sorter_array_append (ESorterArray *sorter,
                           gint count);